//+------------------------------------------------------------------+
//| Price Data Collector.mq4
//| Copyright  2008, Todd Geiger, fxid10t@yahoo.com (tageiger@comcast.net)
//| http://www.metaquotes.net
/*+------------------------------------------------------------------+

This indicator is intended to collect price data for various pairs and various
chart time periods.    */

#property copyright "Copyright  2008, Todd Geiger, fxid10t@yahoo.com (tageiger@comcast.net)"
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#include <stdlib.mqh>

string pairs[] = { "EURUSD","USDJPY","GBPUSD","USDCHF","EURCHF","AUDUSD","USDCAD",
                   "NZDUSD","EURGBP","EURJPY","GBPJPY","CHFJPY","GBPCHF","EURAUD",
                   "EURCAD","AUDCAD","AUDJPY","NZDJPY","AUDNZD" };

int periods[] = { 1,5,15,30,60 };

string   TradeSymbol;
int      TradePeriod;
int      Pair = -1;
int      PPeriod = -1;
double   o,h,l,c;

int init(){
   if ( IsTesting() ) { if ( ArrayResize(pairs,1) != 0 )  pairs[0] = Symbol();   } 
   if ( IsTesting() ) { if ( ArrayResize(periods,1) != 0 )  periods[0] = Period(); }

return(0);  }

int deinit(){return(0);}

int start(){
//Select Pair from Array
Pair = (Pair+1) % ArraySize(pairs);
TradeSymbol = pairs[Pair];
if(StringLen(Symbol())!=6) {
   TradeSymbol=TradeSymbol+StringSubstr(Symbol(),6,1);   }//for ibfx mini accounts

//Pair Chart Period price data loop
for(int p=0; p<ArraySize(periods); p++) {
      PPeriod = (PPeriod+1) % ArraySize(periods);
      TradePeriod = periods[PPeriod];
      o=iOpen(TradeSymbol,TradePeriod,0);
      h=iHigh(TradeSymbol,TradePeriod,0);
      l=iLow(TradeSymbol,TradePeriod,0);
      c=iClose(TradeSymbol,TradePeriod,0);   }
return(0);  }
//+------------------------------------------------------------------+